public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Evans" <grknight@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/mysql:master commit in: dev-db/mariadb/
Date: Thu, 12 May 2016 14:09:59 +0000 (UTC)	[thread overview]
Message-ID: <1463062182.1da0661305d247f83a4a8d064531c196c26cc4b9.grknight@gentoo> (raw)

commit:     1da0661305d247f83a4a8d064531c196c26cc4b9
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Thu May 12 14:09:42 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Thu May 12 14:09:42 2016 +0000
URL:        https://gitweb.gentoo.org/proj/mysql.git/commit/?id=1da06613

dev-db/mariadb: Bring live version up-to-date

Package-Manager: portage-2.2.28
Manifest-Sign-Key: D1F781EFF9F4A3B6

 dev-db/mariadb/ChangeLog           |   3 +
 dev-db/mariadb/mariadb-9999.ebuild | 110 +++++++++++++++++++++++++++++++++----
 2 files changed, 103 insertions(+), 10 deletions(-)

diff --git a/dev-db/mariadb/ChangeLog b/dev-db/mariadb/ChangeLog
index 11479a8..21c3941 100644
--- a/dev-db/mariadb/ChangeLog
+++ b/dev-db/mariadb/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+  12 May 2016; Brian Evans <grknight@gentoo.org> mariadb-9999.ebuild:
+  dev-db/mariadb: Bring live version up-to-date
+
 *mariadb-10.1.14 (10 May 2016)
 
   10 May 2016; Brian Evans <grknight@gentoo.org> +mariadb-10.1.14.ebuild,

diff --git a/dev-db/mariadb/mariadb-9999.ebuild b/dev-db/mariadb/mariadb-9999.ebuild
index a0528a5..6237b3d 100644
--- a/dev-db/mariadb/mariadb-9999.ebuild
+++ b/dev-db/mariadb/mariadb-9999.ebuild
@@ -1,22 +1,69 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="5"
+EAPI="6"
 MY_EXTRAS_VER="none"
 SERVER_URI=" "
 EGIT_REPO_URI="https://github.com/MariaDB/server.git"
+# The wsrep API version must match between upstream WSREP and sys-cluster/galera major number
+WSREP_REVISION="25"
+SUBSLOT="18"
+MYSQL_PV_MAJOR="5.6"
 
-inherit toolchain-funcs mysql-multilib git-r3
-# only to make repoman happy. it is really set in the eclass
-IUSE="$IUSE"
-KEYWORDS=""
+inherit toolchain-funcs mysql-multilib-r1 git-r3
+HOMEPAGE="http://mariadb.org/"
+DESCRIPTION="An enhanced, drop-in replacement for MySQL"
+
+IUSE="bindist cracklib galera kerberos innodb-lz4 innodb-lzo innodb-snappy mroonga odbc oqgraph pam sphinx sst-rsync sst-xtrabackup tokudb systemd xml"
+RESTRICT="!bindist? ( bindist )"
 
-# When MY_EXTRAS is bumped, the index should be revised to exclude these.
-EPATCH_EXCLUDE=''
+REQUIRED_USE="server? ( tokudb? ( jemalloc ) ) static? ( !pam ) "
 
-DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )"
-RDEPEND="${RDEPEND}"
+KEYWORDS=""
+
+COMMON_DEPEND="
+	mroonga? ( app-text/groonga-normalizer-mysql )
+	kerberos? ( virtual/krb5[${MULTILIB_USEDEP}] )
+	systemd? ( sys-apps/systemd:= )
+	!bindist? (
+		sys-libs/binutils-libs:0=
+		>=sys-libs/readline-4.1:0=
+	)
+	server? (
+		cracklib? ( sys-libs/cracklib:0= )
+		extraengine? (
+			odbc? ( dev-db/unixODBC:0= )
+			xml? ( dev-libs/libxml2:2= )
+		)
+		innodb-lz4? ( app-arch/lz4 )
+		innodb-lzo? ( dev-libs/lzo )
+		innodb-snappy? ( app-arch/snappy )
+		oqgraph? ( >=dev-libs/boost-1.40.0:0= dev-libs/judy:0= )
+		pam? ( virtual/pam:0= )
+		tokudb? ( app-arch/snappy )
+	)
+	>=dev-libs/libpcre-8.35:3=
+"
+DEPEND="|| ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
+	${COMMON_DEPEND}"
+RDEPEND="${RDEPEND} ${COMMON_DEPEND}
+	galera? (
+		sys-apps/iproute2
+		=sys-cluster/galera-${WSREP_REVISION}*
+		sst-rsync? ( sys-process/lsof )
+		sst-xtrabackup? ( net-misc/socat[ssl] )
+	)
+	perl? ( !dev-db/mytop
+		virtual/perl-Getopt-Long
+		dev-perl/TermReadKey
+		virtual/perl-Term-ANSIColor
+		virtual/perl-Time-HiRes )
+"
+# xtrabackup-bin causes a circular dependency if DBD-mysql is not already installed
+PDEPEND="galera? ( sst-xtrabackup? ( >=dev-db/xtrabackup-bin-2.2.4 ) )"
+
+MULTILIB_WRAPPED_HEADERS+=( /usr/include/mysql/mysql_version.h )
 
 # This is a special unpack for the VCS version
 src_unpack() {
@@ -25,6 +72,49 @@ src_unpack() {
 	mv -f "${WORKDIR}/${P}" "${S}"
 }
 
+src_configure(){
+	# bug 508724 mariadb cannot use ld.gold
+	tc-ld-disable-gold
+
+	local MYSQL_CMAKE_NATIVE_DEFINES=(
+			-DWITH_JEMALLOC=$(usex jemalloc system)
+			-DWITH_PCRE=system
+	)
+	local MYSQL_CMAKE_EXTRA_DEFINES=(
+			-DPLUGIN_AUTH_GSSAPI_CLIENT=$(usex kerberos YES NO)
+	)
+	if use server ; then
+		# Federated{,X} must be treated special otherwise they will not be built as plugins
+		if ! use extraengine ; then
+			MYSQL_CMAKE_NATIVE_DEFINES+=(
+				-DPLUGIN_FEDERATED=NO
+				-DPLUGIN_FEDERATEDX=NO )
+		fi
+
+		MYSQL_CMAKE_NATIVE_DEFINES+=(
+			-DPLUGIN_OQGRAPH=$(usex oqgraph YES NO)
+			-DPLUGIN_SPHINX=$(usex sphinx YES NO)
+			-DPLUGIN_TOKUDB=$(usex tokudb YES NO)
+			-DPLUGIN_AUTH_PAM=$(usex pam YES NO)
+			-DPLUGIN_CRACKLIB_PASSWORD_CHECK=$(usex cracklib YES NO)
+			-DPLUGIN_CASSANDRA=NO
+			-DPLUGIN_SEQUENCE=$(usex extraengine YES NO)
+			-DPLUGIN_SPIDER=$(usex extraengine YES NO)
+			-DPLUGIN_CONNECT=$(usex extraengine YES NO)
+			-DCONNECT_WITH_MYSQL=1
+			-DCONNECT_WITH_LIBXML2=$(usex xml)
+			-DCONNECT_WITH_ODBC=$(usex odbc)
+			-DWITH_WSREP=$(usex galera)
+			-DWITH_INNODB_LZ4=$(usex innodb-lz4)
+			-DWITH_INNODB_LZO=$(usex innodb-lzo)
+			-DWITH_INNODB_SNAPPY=$(usex innodb-snappy)
+			-DPLUGIN_MROONGA=$(usex mroonga YES NO)
+			-DPLUGIN_AUTH_GSSAPI=$(usex kerberos YES NO)
+		)
+	fi
+	mysql-multilib-r1_src_configure
+}
+
 # Official test instructions:
 # USE='-cluster embedded extraengine perl ssl static-libs community' \
 # FEATURES='test userpriv -usersandbox' \


             reply	other threads:[~2016-05-12 14:10 UTC|newest]

Thread overview: 141+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-12 14:09 Brian Evans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-06-28  2:10 [gentoo-commits] proj/mysql:master commit in: dev-db/mariadb/ Brian Evans
2018-06-28  2:10 Brian Evans
2018-06-27 18:38 Brian Evans
2018-06-27 18:38 Brian Evans
2018-06-07  2:44 Brian Evans
2018-06-01 14:45 Brian Evans
2018-03-12 13:48 Brian Evans
2017-07-19  2:37 Brian Evans
2017-07-19  1:28 Brian Evans
2017-07-19  1:28 Brian Evans
2017-07-19  0:14 Brian Evans
2017-07-17 19:24 Brian Evans
2017-07-09 20:50 Brian Evans
2017-06-28 20:38 Brian Evans
2017-06-13  1:37 Brian Evans
2017-06-13  1:37 Brian Evans
2017-06-09 13:24 Brian Evans
2017-05-31  2:39 Brian Evans
2017-05-29  2:07 Brian Evans
2017-05-28 23:40 Brian Evans
2017-05-28 23:27 Brian Evans
2017-05-02 12:31 Brian Evans
2017-05-02  2:11 Brian Evans
2017-03-02 14:30 Brian Evans
2016-05-10 19:08 Brian Evans
2016-05-02 18:36 Brian Evans
2016-04-22 17:05 Brian Evans
2016-03-30  4:24 Brian Evans
2016-03-09 20:22 Brian Evans
2016-02-27  3:28 Brian Evans
2016-02-19 21:54 Brian Evans
2016-02-12  3:30 Brian Evans
2016-02-12  3:30 Brian Evans
2016-01-31  3:27 Brian Evans
2016-01-29 22:01 Brian Evans
2015-12-29 15:42 Brian Evans
2015-12-29  0:36 Brian Evans
2015-12-28 23:51 Brian Evans
2015-12-28 23:51 Brian Evans
2015-12-23 17:43 Brian Evans
2015-12-23 15:09 Brian Evans
2015-11-23 18:29 Brian Evans
2015-10-29 18:47 Brian Evans
2015-10-29 18:47 Brian Evans
2015-10-21 19:12 Brian Evans
2015-10-12 18:37 Brian Evans
2015-10-12 18:37 Brian Evans
2015-09-14 19:47 Brian Evans
2015-09-12  2:28 Brian Evans
2015-09-11 20:53 Brian Evans
2015-08-08  4:37 Brian Evans
2015-07-27 20:28 Brian Evans
2015-06-20  2:07 Brian Evans
2015-06-10  3:31 Brian Evans
2015-05-09 18:38 Brian Evans
2015-05-07 20:27 Brian Evans
2015-02-24 17:19 Brian Evans
2015-02-10 18:36 Brian Evans
2015-01-28 15:51 Brian Evans
2015-01-27  3:41 Brian Evans
2014-10-20 20:52 Brian Evans
2014-09-26 19:15 Brian Evans
2014-09-26 16:34 Brian Evans
2014-08-18 23:40 Brian Evans
2014-08-12 17:19 Brian Evans
2014-08-05 17:50 Brian Evans
2014-06-17  5:37 Brian Evans
2014-05-14  2:31 Brian Evans
2014-05-13  1:31 Brian Evans
2014-04-26 19:10 Brian Evans
2014-04-24 10:59 Jorge Manuel B. S. Vicetto
2014-04-17 17:24 Brian Evans
2014-03-31 15:27 Brian Evans
2014-02-25 18:05 Brian Evans
2014-02-25 14:23 Brian Evans
2014-02-25 14:05 Brian Evans
2014-02-10 18:45 Brian Evans
2014-02-06 18:12 Brian Evans
2014-02-05 16:29 Jorge Manuel B. S. Vicetto
2014-02-01  2:12 Jorge Manuel B. S. Vicetto
2014-01-30  3:01 Brian Evans
2013-11-22 13:39 Brian Evans
2013-11-19 16:24 Brian Evans
2013-11-19 15:19 Brian Evans
2013-10-10 20:03 Brian Evans
2013-09-20 22:29 Brian Evans
2013-09-18 20:27 Brian Evans
2013-08-29 18:04 Brian Evans
2013-07-19 12:36 Brian Evans
2013-06-12 19:10 Robin H. Johnson
2013-05-28 21:51 Robin H. Johnson
2013-04-25 19:22 Jorge Manuel B. S. Vicetto
2013-04-25 19:10 Jorge Manuel B. S. Vicetto
2013-04-25  0:43 Jorge Manuel B. S. Vicetto
2013-03-21 19:43 Robin H. Johnson
2013-03-16 19:19 Robin H. Johnson
2013-02-12 22:47 Robin H. Johnson
2013-01-28  2:13 Robin H. Johnson
2013-01-28  2:13 Robin H. Johnson
2013-01-20  2:15 Robin H. Johnson
2013-01-20  2:15 Robin H. Johnson
2013-01-20  2:15 Robin H. Johnson
2013-01-20  2:15 Robin H. Johnson
2013-01-20  2:15 Robin H. Johnson
2012-10-26 10:07 Jorge Manuel B. S. Vicetto
2012-10-25  2:58 Jorge Manuel B. S. Vicetto
2012-09-06 13:52 Jorge Manuel B. S. Vicetto
2012-09-05 15:23 Jorge Manuel B. S. Vicetto
2012-08-02 19:27 Robin H. Johnson
2012-08-02 19:27 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-27 16:09 Robin H. Johnson
2012-07-26  4:51 Robin H. Johnson
2012-07-26  4:47 Robin H. Johnson
2012-05-22 12:09 Jorge Manuel B. S. Vicetto
2012-04-18  7:21 Robin H. Johnson
2012-04-16 20:39 Robin H. Johnson
2012-04-05 20:41 Robin H. Johnson
2012-01-12 19:17 Jorge Manuel B. S. Vicetto
2012-01-12 18:26 Jorge Manuel B. S. Vicetto
2011-10-26 19:45 Jorge Manuel B. S. Vicetto
2011-09-27  2:26 Jorge Manuel B. S. Vicetto
2011-09-22  3:04 Jorge Manuel B. S. Vicetto
2011-08-19 12:04 Jorge Manuel B. S. Vicetto
2011-08-19 12:04 Jorge Manuel B. S. Vicetto
2011-07-21 21:28 Jorge Manuel B. S. Vicetto
2011-07-14  4:17 Jorge Manuel B. S. Vicetto
2011-06-21  3:04 Jorge Manuel B. S. Vicetto
2011-06-21  3:04 Jorge Manuel B. S. Vicetto
2011-06-21  3:04 Jorge Manuel B. S. Vicetto
2011-05-15 23:07 Jorge Manuel B. S. Vicetto
2011-03-27  1:58 Jorge Manuel B. S. Vicetto
2011-03-05  2:32 Jorge Manuel B. S. Vicetto

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1463062182.1da0661305d247f83a4a8d064531c196c26cc4b9.grknight@gentoo \
    --to=grknight@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox